{% extends 'catalog/base.html'%}

{% block title %}<title>Authors</title>{% endblock %}

{% block content %}
    <h1>Author List</h1>

    {% if author_list %}
    <ol>

      {% for author in author_list %}
      <li>
          <a href="{% url 'author_detail' pk=author.pk %}">{{ author.first_name }} {{ author.last_name }}</a>
          {% if user.is_staff %}
            <a class="btn btn-info" href="{% url 'author_update' pk=author.pk %}">Update</a>
            <a class="btn btn-danger" href="{% url 'author_delete' pk=author.pk %}">Delete</a>
          {% endif %}
      </li>
        <br>
      {% endfor %}

    </ol>
    {% else %}
      <p>There are no books in the library.</p>
    {% endif %}
{% endblock %}